Name: rep-gtk
Version: 0.90.5
Release: 3
Summary: GTK+ binding for librep Lisp environment
Requires: librep >= 0.91.1, gtk2 >= 2.0
License: GPL
Group: Development/Languages
Source: http://download.sourceforge.net/rep-gtk/rep-gtk-%{version}.tar.bz2
# Source1: config.sub
# Patch: rep-gtk-0.18.3-libdir.patch
URL: http://rep-gtk.sourceforge.net/
Packager: Jan "Yenya" Kasprzak, http://www.fi.muni.cz/~kas/
# Based on packages by John Harper <john@dcs.warwick.ac.uk>
Buildroot: /var/tmp/%{name}-root
BuildRequires: librep-devel gnome-libs-devel gdk-pixbuf-devel

%description
This is a binding of GTK+ for the librep Lisp interpreter. It is based
on Marius Vollmer's guile-gtk package (initially version 0.15, updated
to 0.17), with a new glue-code generator.

%package devel
Summary: Development libraries for rep-gtk
Group: Development/Languages
Requires: %{name} = %{version}

%description devel
Development libraries for rep-gtk.

%prep
%setup
# %patch -p1 -b .libdir
# cp %{SOURCE1} .

%build

LC_ALL=""
LINGUAS=""
LANG=""
export LC_ALL LINGUAS LANG

./autogen.sh

%configure
make host_type=%{_target_platform}

%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT host_type=%{_target_platform} install
#make install \
#    host_type=%{_target_platform} \
#    installdir=$RPM_BUILD_ROOT%{_libexecdir}/rep/%{_target_platform}

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README README.guile-gtk ChangeLog gtk.defs gdk.defs gdk-pixbuf.defs
%{_libdir}/rep

%files devel
%defattr(-,root,root)
%doc examples/*
%{_libdir}/rep/%{_target_platform}/gui/gtk-2/gtk.a
%{_libdir}/pkgconfig/rep-gtk.pc
%{_includedir}/rep-gtk

%changelog
* Tue Mar 22 2011 Jan "Yenya" Kasprzak <kas@fi.muni.cz> - 0.90.5-1
- updated, compiled for F14

* Fri Jul 30 2010 Jan "Yenya" Kasprzak <kas@fi.muni.cz> - 0.90.3-1
- update to 0.90.3

* Tue Jun 13 2000 John Harper <john@dcs.warwick.ac.uk>
- use better macros

* Fri Sep 17 1999 John Harper <john@dcs.warwick.ac.uk>
- specify installdir when installing

* Tue Sep 14 1999 Aron Griffis <agriffis@bigfoot.com>
- 0.4 spec file update: added buildroot
